Loading...
Searching...
No Matches
Opm::data::Segment Struct Reference

## Public Member Functions

bool | operator== (const Segment &seg2) const
template<class MessageBufferType>
void | write (MessageBufferType &buffer) const
template<class MessageBufferType>
void | read (MessageBufferType &buffer)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Segment | serializationTestObject ()

## Public Attributes

Rates | rates {}
SegmentPressures | pressures {}
SegmentPhaseQuantity | velocity {}
SegmentPhaseQuantity | holdup {}
SegmentPhaseQuantity | viscosity {}
SegmentPhaseDensity | density {}
std::size_t | segNumber {}

The documentation for this struct was generated from the following file:

- opm/output/data/Wells.hpp